# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Test/More.pm) perl(XML/LibXML.pm) perl(YAML.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.06
%define module_name XML-XML2JSON
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Convert XML into JSON (and back again) using XML::LibXML
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/K/KE/KEN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
I used Google for inspiration: http://code.google.com/apis/gdata/json.html

In short:

=over 4

=item * The response is represented as a JSON object; each nested element or attribute is represented as a name/value property of the object.

=item * Attributes are converted to String properties.

=item * Attribute names are prefixed with "@" so that they dont conflict with child elements of the same name.

=item * Child elements are converted to Object properties.

=item * Text values of tags are converted to $t properties.

=back

Namespace

=over 4

=item * If an element has a namespace alias, the alias and element are concatenated using "$". For example, ns:element becomes ns$element.

=back

XML

=over 4

=item * XML version and encoding attributes are converted to attribute version and encoding of the root element, respectively.

=back


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/X*

%changelog
* Tue Apr 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

